package com.ruoyi.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 有效专利对象 ur_patent_valid
 * 
 * @author dm
 * @date 2023-02-10
 */
@Data
@ApiModel(value = "有效专利对象")
public class UrPatentValid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申请号 */
    @Excel(name = "申请号")
    @ApiModelProperty(value = "申请号")
    private String an;

    /** 授权入库日 */
    @Excel(name = "授权入库日")
    @ApiModelProperty(value = "授权入库日")
    private String databaseDate;

    /** 申请日 */
    @Excel(name = "申请日")
    @ApiModelProperty(value = "申请日")
    private String ad;

    /** 发明名称 */
    @Excel(name = "发明名称")
    @ApiModelProperty(value = "发明名称")
    private String patentName;

    /** 代理机构代码 */
    @Excel(name = "代理机构代码")
    @ApiModelProperty(value = "代理机构代码")
    private String agentOrgCode;

    /** 代理机构名称 */
    @Excel(name = "代理机构名称")
    @ApiModelProperty(value = "代理机构名称")
    private String agentOrgName;

    /** 主分类号 */
    @Excel(name = "主分类号")
    @ApiModelProperty(value = "主分类号")
    private String ipc;

    /** 专利权人名称 */
    @Excel(name = "专利权人名称")
    @ApiModelProperty(value = "专利权人名称")
    private String peopleName;

    /** 专利权人邮编 */
    @Excel(name = "专利权人邮编")
    @ApiModelProperty(value = "专利权人邮编")
    private String zipCode;

    /** 统计地址 */
    @Excel(name = "统计地址")
    @ApiModelProperty(value = "统计地址")
    private String address;

    /** 专利类型 */
    @Excel(name = "专利类型")
    @ApiModelProperty(value = "专利类型")
    private String pts;

    /** 专利权人类型 */
    @Excel(name = "专利权人类型")
    @ApiModelProperty(value = "专利权人类型")
    private String ppType;

    /** 省份名称 */
    @Excel(name = "省份名称")
    @ApiModelProperty(value = "省份名称")
    private String provinceName;

    /** 城市名称 */
    @Excel(name = "城市名称")
    @ApiModelProperty(value = "城市名称")
    private String cityName;

    /** 区县名称 */
    @Excel(name = "区县名称")
    @ApiModelProperty(value = "区县名称")
    private String districtName;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("an", getAn())
            .append("databaseDate", getDatabaseDate())
            .append("ad", getAd())
            .append("patentName", getPatentName())
            .append("agentOrgCode", getAgentOrgCode())
            .append("agentOrgName", getAgentOrgName())
            .append("ipc", getIpc())
            .append("peopleName", getPeopleName())
            .append("zipCode", getZipCode())
            .append("address", getAddress())
            .append("pts", getPts())
            .append("ppType", getPpType())
            .append("provinceName", getProvinceName())
            .append("cityName", getCityName())
            .append("districtName", getDistrictName())
            .toString();
    }
}
